Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| insertLanguage (Language $language)
| Inserts the given $language. More...
| updateLanguage (Language $language)
| Updates the data of the given $language. More...
| loadLanguageListData (array $ids)
| Loads data list for the Language with $ids. More...
| loadLanguageListDataByLanguageCode (array $languageCodes)
| Loads data list for Languages by $languageCodes (eg: eng-GB). More...
| loadAllLanguagesData ()
| Loads the data for all languages. More...
| deleteLanguage ($id)
| Deletes the language with $id. More...
| canDeleteLanguage ($id)
| Check whether a language may be deleted. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Definition at line 15 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway | $innerGateway |

Definition at line 27 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ canDeleteLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::canDeleteLanguage | ( |  | $id | ) |

Check whether a language may be deleted.

Parameters

  int | $id |

Returns
  bool

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 86 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ deleteLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::deleteLanguage | ( |  | $id | ) |

Deletes the language with $id.

Parameters

  int | $id |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 77 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ insertLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::insertLanguage | ( | Language | $language | ) |

Inserts the given $language.

Parameters

  Language | $language |

Returns
  int ID of the new language

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 32 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ loadAllLanguagesData()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::loadAllLanguagesData | ( |  | ) |

Loads the data for all languages.

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 68 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ loadLanguageListData()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::loadLanguageListData | ( | array | $ids | ) |

Loads data list for the Language with $ids.

Parameters

  int[] | $ids |

Returns
  string[][]|iterable

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 50 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ loadLanguageListDataByLanguageCode()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::loadLanguageListDataByLanguageCode | ( | array | $languageCodes | ) |

Loads data list for Languages by $languageCodes (eg: eng-GB).

Parameters

  string[] | $languageCodes |

Returns
  string[][]|iterable

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 59 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## ◆ updateLanguage()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::updateLanguage | ( | Language | $language | ) |

Updates the data of the given $language.

Parameters

  Language | $language |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway.

Definition at line 41 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 20 of file Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Language/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.